package pku.as.test.hello;

import javax.ejb.SessionContext;
import javax.naming.Context;
import javax.naming.InitialContext;


/**
 * Demonstration stateless session bean.
 */
public class HelloBean implements javax.ejb.SessionBean
{
    //
    // EJB-required methods
    //
    public void ejbCreate()
    {
        //System.out.println("ejbCreate()");
    }

    public void ejbRemove()
    {
        //System.out.println("ejbRemove()");
    }

    public void ejbActivate()
    {
        //System.out.println("ejbActivate()");
    }

    public void ejbPassivate()
    {
        //System.out.println("ejbPassivate()");
    }

    public void setSessionContext(SessionContext ctx)
    {
        //System.out.println("setSessionContext()");
    }

    //
    // Business methods
    //
    public String say(String str)
    {
        System.out.println("HelloBean: " +str);
        return "Client: Hello, World !";
    }
}
