package pku.as.test.webbeans;

import pku.as.test.hello.*;

import java.io.PrintStream;
import java.util.Properties;

import javax.ejb.*;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

public class HelloSesBean
{
    private final String jndiname = "java:comp/env/ejb/Hello";
    private HelloHome hellohome;
    private Hello hello;

    public HelloSesBean()
    	throws Exception
    {
        try
        {        	
						final String jndiname = "java:comp/env/HelloHome";
	 					InitialContext initialcontext = new InitialContext();
            System.out.println("InitialContext: " + initialcontext);
            Object obj = initialcontext.lookup(jndiname);
            hellohome = (HelloHome)PortableRemoteObject.narrow(obj, HelloHome.class);
            hello = (Hello)hellohome.create();
        }
        catch (Exception ex) {
            throw new Exception(ex.toString());
        }
    }

    public String sayHello(String str)
        throws Exception
    {
        try
        {
            return hello.say(str);
        }
        catch(Exception ex)
        {
             throw new Exception(ex.toString());
        }
    }
}
